## NAME

i.pca - Principal components analysis (pca) program for image processing.
(GRASS Image Processing Program)

## SYNOPSIS

i.pca
i.pca help
i.pca input=name,name[,name,name,...] output=name rescale=min,max

## DESCRIPTION

i.pca is an image processing program based on the algorithm provided by Vali (1990), that processes n (2 >= n) input raster map layers and produces n output raster map layers containing the principal components of the input data in decreasing order of variance ("contrast"). The output raster map layers are assigned names with .1, .2, ... .n suffixes. The current geographic region definition and mask settings are respected when reading the input raster map layers. When the rescale option is used, the output files are rescaled to fit the min,max range.

## OPTIONS

### Parameters:

input=name,name[,name,name,...]
  Name of two or more input raster map layers.
output=name
  The output raster map layer name to which suffixes are added. Each output raster map layer is assigned this user-specified name with a numerical (.1, .2, ... .n) suffix.
rescale=min,max
  The optional output category range. (Default: 0,255) If rescale=0,0, no rescaling is performed on output files.

## NOTES

Richards (1986) gives a good example of the application of principal components analysis (pca) to a time series of LANDSAT images of a burned region in Australia.

## SEE ALSO

Richards, John A., Remote Sensing Digital Image Analysis, Springer-Verlag, 1986.

Vali, Ali R., Personal communication, Space Research Center, University of Texas, Austin, 1990.

i.cca
i.class
i.fft
i.ifft
m.eigensystem
r.covar
r.mapcalc

## AUTHOR

David Satnik, GIS Laboratory,

Major modifications for GRASS 4.1 were made by
Olga Waupotitsch and Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/01/25 05:45:33 $